Kerbal Space Program - Bug #483

Vessel can be placed outside build pad in the VAB
03/22/2013 11:28 PM - zerke2001

Status: Closed Start date: 03/22/2013
Severity: Unworthy % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.191 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

What happens: The vessel can quite easily be placed outside the build-pad and even save in this position.

How to reproduce:

Step 1: Create a new vessel and place anything on it as you see fit.

Step 2: Tilt the camera up so that the viewing angle is looking down on the build-pad.

Step 3: Zoom out a little to make it easier to reproduce.

Step 4: Click on your command unit to select the whole vessel and drag it all the way into the ground.

Step 5: While it is in the ground, drag all the way either right or left of your screen and left-click to release it.
Step 6: Rotate the camera until you find the buried vessel and click on it to pick it up.

Step 7: Now rotate the camera around and watch your vessel fly off the screen.

Notes:
You can place your vessel off screen and it will even save it there if you want.
It is possible to place your vessel below the ground surface, but it is not possible to place your vessel through the ceiling.

Solution:
Create a boundary around the VAB.

History

#1 - 03/22/2013 11:31 PM - zerke2001
- File Vehicle Outside VAB.png added

#2 - 03/24/2013 06:22 AM - sal_vager

- Status changed from New to Confirmed

- Severity changed from Petty to Unworthy

- % Done changed from 0 to 10

While this is indeed possible, no mention has been made that it was ever not meant to occur.

Placing a craft "outside the VAB" just causes it to be away from the launchpad/runway when launching.

#3 - 08/16/2013 11:27 AM - Ted
- Category set to Gameplay

Does this still occur in 0.21.1?

#4 - 07/20/2015 10:11 PM - Squelch
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

This behaviour can no longer be reproduced in 1.0.4. The vessel can be placed anywhere within the editor area except beyond the walls and an
imaginary line across the open doorway.
| believe this has been addressed in the intervening patches, so is therefore resolved.

#5 - 07/17/2016 09:17 AM - TriggerAu

- Status changed from Resolved to Closed

Files

Vehicle Outside VAB.png 1.75 MB 03/22/2013 zerke2001
